apiVersion: v1
data:
  kie-server-state: |-
    <kie-server-state>
      <controllers/>
      <configuration>
        <configItems>
          <config-item>
            <name>org.kie.server.id</name>
            <value>myapp-kieserver</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.services.openshift.service.name</name>
            <value>myapp-kieserver</value>
            <type>java.lang.String</type>
          </config-item>
          <config-item>
            <name>org.kie.server.mode</name>
            <value>DEVELOPMENT</value>
            <type>java.lang.String</type>
          </config-item>
        </configItems>
      </configuration>
      <containers>
        <container>
          <containerId>helloRules</containerId>
          <releaseId>
            <groupId>org.kie.server.testing</groupId>
            <artifactId>hello-rules-snapshot</artifactId>
            <version>1.0.0-SNAPSHOT</version>
          </releaseId>
          <status>STARTED</status>
          <scanner>
            <status>STOPPED</status>
          </scanner>
          <configItems>
            <config-item>
              <name>KBase</name>
              <value></value>
              <type>BPM</type>
            </config-item>
            <config-item>
              <name>KSession</name>
              <value></value>
              <type>BPM</type>
            </config-item>
            <config-item>
              <name>MergeMode</name>
              <value>MERGE_COLLECTIONS</value>
              <type>BPM</type>
            </config-item>
            <config-item>
              <name>RuntimeStrategy</name>
              <value>SINGLETON</value>
              <type>BPM</type>
            </config-item>
          </configItems>
          <messages/>
          <containerAlias></containerAlias>
        </container>
        <container>
          <containerId>definition-project</containerId>
          <releaseId>
            <groupId>org.kie.server.testing</groupId>
            <artifactId>definition-project-snapshot</artifactId>
            <version>1.0.0-SNAPSHOT</version>
          </releaseId>
          <status>STARTED</status>
          <scanner>
            <status>STOPPED</status>
          </scanner>
          <configItems>
            <config-item>
              <name>KBase</name>
              <value></value>
              <type>BPM</type>
            </config-item>
            <config-item>
              <name>KSession</name>
              <value></value>
              <type>BPM</type>
            </config-item>
            <config-item>
              <name>MergeMode</name>
              <value>MERGE_COLLECTIONS</value>
              <type>BPM</type>
            </config-item>
            <config-item>
              <name>RuntimeStrategy</name>
              <value>SINGLETON</value>
              <type>BPM</type>
            </config-item>
          </configItems>
          <messages/>
          <containerAlias></containerAlias>
        </container>
        <container>
          <containerId>evaluation_1.0.0-SNAPSHOT</containerId>
          <releaseId>
            <groupId>evaluation</groupId>
            <artifactId>evaluation</artifactId>
            <version>1.0.0-SNAPSHOT</version>
          </releaseId>
          <status>STARTED</status>
          <scanner>
            <status>STOPPED</status>
          </scanner>
          <configItems>
            <config-item>
              <name>KBase</name>
              <value></value>
              <type>BPM</type>
            </config-item>
            <config-item>
              <name>KSession</name>
              <value></value>
              <type>BPM</type>
            </config-item>
            <config-item>
              <name>MergeMode</name>
              <value>MERGE_COLLECTIONS</value>
              <type>BPM</type>
            </config-item>
            <config-item>
              <name>RuntimeStrategy</name>
              <value>SINGLETON</value>
              <type>BPM</type>
            </config-item>
          </configItems>
          <messages/>
          <containerAlias>evaluation</containerAlias>
        </container>
      </containers>
    </kie-server-state>
kind: ConfigMap
metadata:
  annotations:
    services.server.kie.org/kie-server-state.changeTimestamp: '2020-01-13T09:51:34.632225Z'
    services.server.kie.org/openshift-startup-strategy.rolloutRequired: 'true'
  creationTimestamp: '2020-01-13T09:03:43Z'
  labels:
    application: myapp
    services.server.kie.org/kie-server-id: myapp-kieserver
    services.server.kie.org/kie-server-state: USED
  name: myapp-kieserver
  namespace: jschwan-test
  ownerReferences:
    - apiVersion: apps.openshift.io/v1
      kind: DeploymentConfig
      name: myapp-kieserver
      uid: 752897b8-35e3-11ea-9193-fa163ea74bd7
  resourceVersion: '14497664'
  selfLink: /api/v1/namespaces/jschwan-test/configmaps/myapp-kieserver
  uid: 99617a11-35e3-11ea-9193-fa163ea74bd7

